OSPFv3 Code Point for MPLS LSP Ping
RFC 9214
Nagendra Kumar Nainar
Cisco Systems, Inc.
7200-12 Kit Creek Road
Research Triangle Park
NC
27709
United States of America
naikumar@cisco.com
Carlos Pignataro
Cisco Systems, Inc.
7200-11 Kit Creek Road
Research Triangle Park
NC
27709
United States of America
cpignata@cisco.com
Mustapha Aissaoui
Nokia
Canada
mustapha.aissaoui@nokia.com
April 2022
Internet
MPLS
MPLS
IANA has created "Protocol in the Segment ID Sub-TLV" and "Protocol in Label Stack Sub-TLV of Downstream Detailed Mapping TLV" registries under the "Multiprotocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters" registry. RFC 8287 defines the code points for Open Shortest Path First (OSPF) and Intermediate System to Intermediate System (IS-IS) protocols.
This document specifies the code point to be used in the Segment ID sub-TLV and Downstream Detailed Mapping (DDMAP) TLV when the Interior Gateway Protocol (IGP) is OSPFv3. This document also updates RFC 8287 by clarifying that the existing "OSPF" code point is to be used only to indicate OSPFv2 and by defining the behavior when the Segment ID sub-TLV indicates the use of IPv6.
Introduction
IANA has created the "Protocol in the Segment ID Sub-TLV" registry and "Protocol in Label Stack Sub-TLV of Downstream Detailed Mapping TLV" registries under the "Multiprotocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters" registry [IANA-MPLS-LSP-PING]. [RFC8287] defines the code points for OSPF and IS-IS.
"OSPF for IPv6" [RFC5340] describes OSPF version 3 (OSPFv3) to support IPv6. "Support of Address Families in OSPFv3" [RFC5838] describes the mechanism to support multiple address families (AFs) in OSPFv3. Accordingly, OSPFv3 may be used to advertise IPv6 and IPv4 prefixes.
This document specifies the code point to be used in the Segment ID sub-TLV (Types 34, 35, and 36) and in the Downstream Detailed Mapping (DDMAP) TLV when the IGP is OSPFv3.
This document also updates "Label Switched Path (LSP) Ping/Traceroute for Segment Routing (SR) IGP-Prefix and IGP-Adjacency Segment Identifiers (SIDs) with MPLS Data Planes" [RFC8287] by clarifying that the existing "OSPF" code point is to be used only to indicate OSPFv2 and by defining the behavior when the Segment ID sub-TLV indicates the use of IPv6.
Requirements Notation
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Terminology
This document uses the terminology defined in "Segment Routing Architecture" [RFC8402], "Detecting Multiprotocol Label Switched (MPLS) Data-Plane Failures" [RFC8029], and "Label Switched Path (LSP) Ping/Traceroute for Segment Routing (SR) IGP-Prefix and IGP-Adjacency Segment Identifiers (SIDs) with MPLS Data Planes" [RFC8287], and so the readers are expected to be familiar with the same.
OSPFv3 Protocol in Segment ID Sub-TLVs
When the protocol field of the Segment ID sub-TLV of Type 34 (IPv4 IGP-Prefix Segment ID), Type 35 (IPv6 IGP-Prefix Segment ID), and Type 36 (IGP-Adjacency Segment ID) is set to 3, the responder MUST perform the Forwarding Equivalence Class (FEC) validation using OSPFv3 as the IGP.
The initiator MUST NOT set the protocol field of the Segment ID sub-TLV Type 35 and Type 36 as OSPF (value 1) as OSPFv2 is not compatible with the use of IPv6 addresses indicated by this sub-TLV.
When the protocol field in the received Segment ID sub-TLV Type 35 and Type 36 is OSPF (value 1), the responder MAY treat the protocol value as "Any IGP Protocol" (value 0) according to step 4a of Section 7.4 of [RFC8287]. This allows the responder to support legacy implementations that use value 1 to indicate OSPFv3.
OSPFv3 Protocol in Downstream Detailed Mapping TLV
The protocol field of the DDMAP TLV in an echo reply is set to 7 when OSPFv3 is used to distribute the label carried in the Downstream Label field.
Update to RFC 8287 - OSPFv2 Protocol in Segment ID and DDMAP Sub-TLVs
Section 5 of [RFC8287] defines the code point for OSPF to be used in the Protocol field of the Segment ID sub-TLV. Section 6 of [RFC8287] defines the code point for OSPF to be used in the Protocol field of the DDMAP TLV.
This document updates [RFC8287] by specifying that the "OSPF" code points SHOULD be used only for OSPFv2.
IANA Considerations
Protocol in the Segment ID Sub-TLV
IANA has assigned a new code point from the "Protocol in the Segment ID Sub-TLV" registry under the "Multiprotocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters" registry as follows:
Value | Meaning | Reference
3 | OSPFv3 | RFC 9214
IANA has added a note for the existing entry for code point 1 (OSPF): "To be used for OSPFv2 only".
Protocol in Label Stack Sub-TLV of Downstream Detailed Mapping TLV
IANA has assigned a new code point for OSPFv3 from "Protocol in Label Stack Sub-TLV of Downstream Detailed Mapping TLV" registry under the "Multiprotocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters" registry as follows:
Value | Meaning | Reference
7 | OSPFv3 | RFC 9214
IANA has added a note for the existing codepoint 5 (OSPF): "To be used for OSPFv2 only".
Security Considerations
This document updates [RFC8287] and does not introduce any additional security considerations. See [RFC8029] to see generic security considerations about the MPLS LSP Ping.
Normative References
[IANA-MPLS-LSP-PING]

Multiprotocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters
IANA
[RFC8287]
[RFC5340]
[RFC5838]
[RFC2119]
[RFC8174]
[RFC8402]
[RFC8029]
Acknowledgements
The authors would like to thank Les Ginsberg, Zafar Ali, Loa Andersson, Andrew Molotchko, Deborah Brungard, Acee Lindem, and Adrian Farrel for their review and suggestions.
The authors also would like to thank Christer Holmberg, Tero Kivinen, Matthew Bocci, Tom Petch, and Martin Vigoureux for their review comments.